const mixin = {
	methods: {
		getCode() {
			if (!this.form.mobile) {
				uni.showToast({
					title: '请输入手机号',
					icon: 'none'
				})
				return;
			}
			if (this.$refs.uCode.canGetCode) {
				// 模拟向后端请求验证码
				uni.showLoading({
					title: '正在获取验证码',
					mask: true
				})
				this.$http(`/api/user/smsg?phone=${this.form.mobile}`, {phone: this.form.mobile}, "POST").then(res => {
					console.log(res);
					uni.hideLoading();
					// 这里此提示会被this.start()方法中的提示覆盖
					this.$u.toast('验证码已发送');
					// 通知验证码组件内部开始倒计时
					this.$refs.uCode.start();
				})
				
			} else {
				this.$u.toast('倒计时结束后再发送');
			}
		}
	}
}

export default mixin;